library verilog;
use verilog.vl_types.all;
entity arbiter is
    generic(
        PORTS           : integer := 4;
        \TYPE\          : string  := "PRIORITY";
        \BLOCK\         : string  := "NONE";
        LSB_PRIORITY    : string  := "LOW"
    );
    port(
        clk             : in     vl_logic;
        rst             : in     vl_logic;
        request         : in     vl_logic_vector;
        acknowledge     : in     vl_logic_vector;
        grant           : out    vl_logic_vector;
        grant_valid     : out    vl_logic;
        grant_encoded   : out    vl_logic_vector
    );
end arbiter;
