library verilog;
use verilog.vl_types.all;
entity c2c is
    port(
        ACLK            : in     vl_logic;
        ARESETN         : in     vl_logic;
        c2c_s_arvalid   : in     vl_logic;
        c2c_s_arready   : out    vl_logic;
        c2c_s_araddr    : in     vl_logic_vector(39 downto 0);
        c2c_s_arlen     : in     vl_logic_vector(7 downto 0);
        c2c_s_arsize    : in     vl_logic_vector(2 downto 0);
        c2c_s_arburst   : in     vl_logic_vector(1 downto 0);
        c2c_s_arcache   : in     vl_logic_vector(3 downto 0);
        c2c_s_arprot    : in     vl_logic_vector(2 downto 0);
        c2c_s_arid      : in     vl_logic_vector(15 downto 0);
        c2c_s_rvalid    : out    vl_logic;
        c2c_s_rready    : in     vl_logic;
        c2c_s_rlast     : out    vl_logic;
        c2c_s_rdata     : out    vl_logic_vector(255 downto 0);
        c2c_s_rresp     : out    vl_logic_vector(1 downto 0);
        c2c_s_rid       : out    vl_logic_vector(15 downto 0);
        c2c_s_awvalid   : in     vl_logic;
        c2c_s_awready   : out    vl_logic;
        c2c_s_awaddr    : in     vl_logic_vector(39 downto 0);
        c2c_s_awlen     : in     vl_logic_vector(7 downto 0);
        c2c_s_awsize    : in     vl_logic_vector(2 downto 0);
        c2c_s_awburst   : in     vl_logic_vector(1 downto 0);
        c2c_s_awcache   : in     vl_logic_vector(3 downto 0);
        c2c_s_awprot    : in     vl_logic_vector(2 downto 0);
        c2c_s_awid      : in     vl_logic_vector(15 downto 0);
        c2c_s_wvalid    : in     vl_logic;
        c2c_s_wready    : out    vl_logic;
        c2c_s_wlast     : in     vl_logic;
        c2c_s_wdata     : in     vl_logic_vector(255 downto 0);
        c2c_s_wstrb     : in     vl_logic_vector(31 downto 0);
        c2c_s_bvalid    : out    vl_logic;
        c2c_s_bready    : in     vl_logic;
        c2c_s_bresp     : out    vl_logic_vector(1 downto 0);
        c2c_s_bid       : out    vl_logic_vector(15 downto 0);
        c2c_m_arvalid   : out    vl_logic;
        c2c_m_arready   : in     vl_logic;
        c2c_m_araddr    : out    vl_logic_vector(39 downto 0);
        c2c_m_arlen     : out    vl_logic_vector(7 downto 0);
        c2c_m_arsize    : out    vl_logic_vector(2 downto 0);
        c2c_m_arburst   : out    vl_logic_vector(1 downto 0);
        c2c_m_arcache   : out    vl_logic_vector(3 downto 0);
        c2c_m_arprot    : out    vl_logic_vector(2 downto 0);
        c2c_m_arid      : out    vl_logic_vector(15 downto 0);
        c2c_m_rvalid    : in     vl_logic;
        c2c_m_rready    : out    vl_logic;
        c2c_m_rlast     : in     vl_logic;
        c2c_m_rdata     : in     vl_logic_vector(255 downto 0);
        c2c_m_rresp     : in     vl_logic_vector(1 downto 0);
        c2c_m_rid       : in     vl_logic_vector(15 downto 0);
        c2c_m_awvalid   : out    vl_logic;
        c2c_m_awready   : in     vl_logic;
        c2c_m_awaddr    : out    vl_logic_vector(39 downto 0);
        c2c_m_awlen     : out    vl_logic_vector(7 downto 0);
        c2c_m_awsize    : out    vl_logic_vector(2 downto 0);
        c2c_m_awburst   : out    vl_logic_vector(1 downto 0);
        c2c_m_awcache   : out    vl_logic_vector(3 downto 0);
        c2c_m_awprot    : out    vl_logic_vector(2 downto 0);
        c2c_m_awid      : out    vl_logic_vector(15 downto 0);
        c2c_m_wvalid    : out    vl_logic;
        c2c_m_wready    : in     vl_logic;
        c2c_m_wlast     : out    vl_logic;
        c2c_m_wdata     : out    vl_logic_vector(255 downto 0);
        c2c_m_wstrb     : out    vl_logic_vector(31 downto 0);
        c2c_m_bvalid    : in     vl_logic;
        c2c_m_bready    : out    vl_logic;
        c2c_m_bresp     : in     vl_logic_vector(1 downto 0);
        c2c_m_bid       : in     vl_logic_vector(15 downto 0)
    );
end c2c;
