library verilog;
use verilog.vl_types.all;
entity fpu2 is
    port(
        ACLK            : in     vl_logic;
        RSTN            : in     vl_logic;
        ex1_d_s         : in     vl_logic;
        ex1_d_exp       : in     vl_logic_vector(8 downto 0);
        ex1_d_csa_s     : in     vl_logic_vector(25 downto 0);
        ex1_d_csa_c     : in     vl_logic_vector(25 downto 0);
        ex1_d_zero      : in     vl_logic;
        ex1_d_inf       : in     vl_logic;
        ex1_d_nan       : in     vl_logic;
        fadd_s1_s       : in     vl_logic;
        fadd_s1_exp     : in     vl_logic_vector(8 downto 0);
        fadd_s1_frac    : in     vl_logic_vector(25 downto 0);
        fadd_s1_zero    : in     vl_logic;
        fadd_s1_inf     : in     vl_logic;
        fadd_s1_nan     : in     vl_logic;
        ex2_d_s         : out    vl_logic;
        ex2_d_exp       : out    vl_logic_vector(8 downto 0);
        ex2_d_frac      : out    vl_logic_vector(26 downto 0);
        ex2_d_inf       : out    vl_logic;
        ex2_d_nan       : out    vl_logic
    );
end fpu2;
