library verilog;
use verilog.vl_types.all;
entity lmring is
    port(
        ACLK            : in     vl_logic;
        RSTN            : in     vl_logic;
        chip            : in     vl_logic_vector(3 downto 0);
        l_row           : in     vl_logic_vector(5 downto 0);
        conf0           : in     vl_logic_vector(255 downto 0);
        conf1           : in     vl_logic_vector(255 downto 0);
        conf2           : in     vl_logic_vector(255 downto 0);
        conf3           : in     vl_logic_vector(255 downto 0);
        regv_ear0       : in     vl_logic_vector(191 downto 0);
        regv_ear1       : in     vl_logic_vector(191 downto 0);
        regv_ear2       : in     vl_logic_vector(191 downto 0);
        regv_ear3       : in     vl_logic_vector(191 downto 0);
        lmring_bin_nemp : in     vl_logic;
        lmring_bin      : in     vl_logic_vector(341 downto 0);
        lmring_bin_ful  : out    vl_logic;
        lmring_ea0bsy   : in     vl_logic;
        lmring_ea1bsy   : in     vl_logic;
        lmlddmqw_ok     : out    vl_logic;
        lmrangew_ok     : out    vl_logic_vector(7 downto 0);
        lmranger_ok     : out    vl_logic_vector(7 downto 0);
        lmco            : out    vl_logic_vector(1 downto 0);
        lmca            : out    vl_logic_vector(15 downto 0);
        lmwm            : out    vl_logic_vector(31 downto 0);
        lmwd            : out    vl_logic_vector(255 downto 0);
        mr1             : in     vl_logic_vector(255 downto 0);
        lmring_ful1     : out    vl_logic;
        tr              : out    vl_logic_vector(349 downto 0);
        lmring_bout_nemp: out    vl_logic;
        lmring_bout     : out    vl_logic_vector(341 downto 0);
        lmring_bout_ful : in     vl_logic
    );
end lmring;
