library verilog;
use verilog.vl_types.all;
entity stage2 is
    port(
        ACLK            : in     vl_logic;
        RSTN            : in     vl_logic;
        UNIRSTN         : in     vl_logic;
        conf0           : in     vl_logic_vector(255 downto 0);
        conf1           : in     vl_logic_vector(255 downto 0);
        conf2           : in     vl_logic_vector(255 downto 0);
        conf3           : in     vl_logic_vector(255 downto 0);
        lmea0sfma       : in     vl_logic;
        lmea0strq       : in     vl_logic;
        lmea0strqcol    : in     vl_logic_vector(1 downto 0);
        exec            : in     vl_logic;
        fold            : in     vl_logic;
        one_shot2       : in     vl_logic;
        forstat2        : in     vl_logic_vector(1 downto 0);
        cx0             : in     vl_logic_vector(1 downto 0);
        cx1             : in     vl_logic_vector(1 downto 0);
        cx2             : in     vl_logic_vector(1 downto 0);
        cx3             : in     vl_logic_vector(1 downto 0);
        tx0i            : in     vl_logic_vector(63 downto 0);
        tx1i            : in     vl_logic_vector(63 downto 0);
        tx2i            : in     vl_logic_vector(63 downto 0);
        tx3i            : in     vl_logic_vector(63 downto 0);
        ex1             : in     vl_logic_vector(63 downto 0);
        ex2t            : in     vl_logic_vector(63 downto 0);
        ex3             : in     vl_logic_vector(63 downto 0);
        mexmr0d         : in     vl_logic_vector(31 downto 0);
        mexmr1d         : in     vl_logic_vector(31 downto 0);
        stage3_exec     : out    vl_logic;
        stage3_fold     : out    vl_logic;
        stage_forstat   : out    vl_logic_vector(1 downto 0);
        cxd             : out    vl_logic_vector(1 downto 0);
        tx0             : out    vl_logic_vector(63 downto 0);
        tx1             : out    vl_logic_vector(63 downto 0);
        tx2             : out    vl_logic_vector(63 downto 0);
        tx3             : out    vl_logic_vector(63 downto 0);
        opo             : out    vl_logic_vector(5 downto 0);
        ex2d            : out    vl_logic_vector(63 downto 0);
        ex4o            : out    vl_logic_vector(63 downto 0);
        ex5o            : out    vl_logic_vector(5 downto 0);
        unit1_arbrk     : out    vl_logic;
        h_ex1_d_s       : out    vl_logic;
        h_ex1_d_exp     : out    vl_logic_vector(8 downto 0);
        h_ex1_d_csa_s   : out    vl_logic_vector(25 downto 0);
        h_ex1_d_csa_c   : out    vl_logic_vector(25 downto 0);
        h_ex1_d_zero    : out    vl_logic;
        h_ex1_d_inf     : out    vl_logic;
        h_ex1_d_nan     : out    vl_logic;
        h_fadd_s1_s     : out    vl_logic;
        h_fadd_s1_exp   : out    vl_logic_vector(8 downto 0);
        h_fadd_s1_frac  : out    vl_logic_vector(25 downto 0);
        h_fadd_s1_zero  : out    vl_logic;
        h_fadd_s1_inf   : out    vl_logic;
        h_fadd_s1_nan   : out    vl_logic;
        l_ex1_d_s       : out    vl_logic;
        l_ex1_d_exp     : out    vl_logic_vector(8 downto 0);
        l_ex1_d_csa_s   : out    vl_logic_vector(25 downto 0);
        l_ex1_d_csa_c   : out    vl_logic_vector(25 downto 0);
        l_ex1_d_zero    : out    vl_logic;
        l_ex1_d_inf     : out    vl_logic;
        l_ex1_d_nan     : out    vl_logic;
        l_fadd_s1_s     : out    vl_logic;
        l_fadd_s1_exp   : out    vl_logic_vector(8 downto 0);
        l_fadd_s1_frac  : out    vl_logic_vector(25 downto 0);
        l_fadd_s1_zero  : out    vl_logic;
        l_fadd_s1_inf   : out    vl_logic;
        l_fadd_s1_nan   : out    vl_logic;
        ea0b            : in     vl_logic_vector(15 downto 0);
        ea0o            : in     vl_logic_vector(63 downto 0);
        ea1b            : in     vl_logic_vector(15 downto 0);
        ea1o            : in     vl_logic_vector(63 downto 0);
        ea0d            : out    vl_logic_vector(15 downto 0);
        ea0dofs         : out    vl_logic_vector(15 downto 0);
        ea1d            : out    vl_logic_vector(15 downto 0);
        ea1dofs         : out    vl_logic_vector(15 downto 0)
    );
end stage2;
