library verilog;
use verilog.vl_types.all;
entity stage5 is
    port(
        ACLK            : in     vl_logic;
        RSTN            : in     vl_logic;
        UNIRSTN         : in     vl_logic;
        cmd             : in     vl_logic_vector(1 downto 0);
        chip            : in     vl_logic_vector(3 downto 0);
        l_row           : in     vl_logic_vector(5 downto 0);
        scon_count      : in     vl_logic_vector(6 downto 0);
        unit1_exec      : in     vl_logic;
        conf0           : in     vl_logic_vector(255 downto 0);
        conf1           : in     vl_logic_vector(255 downto 0);
        conf2           : in     vl_logic_vector(255 downto 0);
        conf3           : in     vl_logic_vector(255 downto 0);
        tr_valid        : in     vl_logic;
        tr              : in     vl_logic_vector(349 downto 0);
        lmring_ful1     : in     vl_logic;
        tx0i            : in     vl_logic_vector(63 downto 0);
        tx1i            : in     vl_logic_vector(63 downto 0);
        tx2i            : in     vl_logic_vector(63 downto 0);
        tx3i            : in     vl_logic_vector(63 downto 0);
        exdi            : in     vl_logic_vector(63 downto 0);
        ea0di           : in     vl_logic_vector(15 downto 0);
        ea0woofsi       : in     vl_logic_vector(15 downto 0);
        ea1di           : in     vl_logic_vector(15 downto 0);
        ea1woofsi       : in     vl_logic_vector(15 downto 0);
        mr0             : in     vl_logic_vector(255 downto 0);
        mr1             : in     vl_logic_vector(255 downto 0);
        mexmr0d         : out    vl_logic_vector(31 downto 0);
        mexmr1d         : out    vl_logic_vector(31 downto 0);
        bout            : out    vl_logic_vector(1023 downto 0);
        bout_valid      : out    vl_logic
    );
end stage5;
