library verilog;
use verilog.vl_types.all;
entity unit is
    generic(
        UNIT_NO         : integer := 0
    );
    port(
        ACLK            : in     vl_logic;
        RSTN            : in     vl_logic;
        ctrl_cmd        : in     vl_logic_vector(1 downto 0);
        ctrl_chip       : in     vl_logic_vector(3 downto 0);
        axi_busy        : in     vl_logic;
        pi_unit2_exec   : in     vl_logic;
        pi_unit2_forstat: in     vl_logic_vector(1 downto 0);
        pi_unit2_stop   : in     vl_logic;
        unit1_exec      : out    vl_logic;
        unit1_fold      : out    vl_logic;
        unit1_stop      : out    vl_logic;
        unit2_exec      : out    vl_logic;
        unit2_fold      : out    vl_logic;
        unit2_forstat   : out    vl_logic_vector(1 downto 0);
        unit2_stop      : out    vl_logic;
        exring_bin_valid: in     vl_logic;
        exring_bin      : in     vl_logic_vector(1023 downto 0);
        lmring_bin_nemp : in     vl_logic;
        lmring_bin      : in     vl_logic_vector(341 downto 0);
        lmring_bin_ful  : out    vl_logic;
        exring_bout     : out    vl_logic_vector(1023 downto 0);
        exring_bout_valid: out    vl_logic;
        lmring_bout_nemp: out    vl_logic;
        lmring_bout     : out    vl_logic_vector(341 downto 0);
        lmring_bout_ful : in     vl_logic
    );
end unit;
