#!/bin/sh

# 
# Vivado(TM)
# runme.sh: a Vivado-generated Runs Script for UNIX
# Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
# Copyright 2022-2024 Advanced Micro Devices, Inc. All Rights Reserved.
# 

if [ -z "$PATH" ]; then
  PATH=/opt/xilinx/Vitis/2024.1/bin:/opt/xilinx/Vivado/2024.1/ids_lite/ISE/bin/lin64:/opt/xilinx/Vivado/2024.1/bin
else
  PATH=/opt/xilinx/Vitis/2024.1/bin:/opt/xilinx/Vivado/2024.1/ids_lite/ISE/bin/lin64:/opt/xilinx/Vivado/2024.1/bin:$PATH
fi
export PATH

if [ -z "$LD_LIBRARY_PATH" ]; then
  LD_LIBRARY_PATH=
else
  LD_LIBRARY_PATH=:$LD_LIBRARY_PATH
fi
export LD_LIBRARY_PATH

HD_PWD='/home/nakashim/proj-arm64/fpga/VU440-step4000-20221020/VU440_64st.runs/impl_1'
cd "$HD_PWD"

HD_LOG=runme.log
/bin/touch $HD_LOG

ISEStep="./ISEWrap.sh"
EAStep()
{
     $ISEStep $HD_LOG "$@" >> $HD_LOG 2>&1
     if [ $? -ne 0 ]
     then
         exit
     fi
}

# pre-commands:
/bin/touch .init_design.begin.rst
EAStep vivado -log VU440_TOP.vdi -applog -m64 -stack 10000  -product Vivado -messageDb vivado.pb -mode batch -source VU440_TOP.tcl -notrace


