library verilog;
use verilog.vl_types.all;
entity fpu1 is
    port(
        ACLK            : in     vl_logic;
        RSTN            : in     vl_logic;
        op              : in     vl_logic_vector(1 downto 0);
        ex1             : in     vl_logic_vector(31 downto 0);
        ex2             : in     vl_logic_vector(31 downto 0);
        ex3             : in     vl_logic_vector(31 downto 0);
        force0          : in     vl_logic;
        ex1_d_s         : out    vl_logic;
        ex1_d_exp       : out    vl_logic_vector(8 downto 0);
        ex1_d_csa_s     : out    vl_logic_vector(25 downto 0);
        ex1_d_csa_c     : out    vl_logic_vector(25 downto 0);
        ex1_d_zero      : out    vl_logic;
        ex1_d_inf       : out    vl_logic;
        ex1_d_nan       : out    vl_logic;
        fadd_s1_s       : out    vl_logic;
        fadd_s1_exp     : out    vl_logic_vector(8 downto 0);
        fadd_s1_frac    : out    vl_logic_vector(25 downto 0);
        fadd_s1_zero    : out    vl_logic;
        fadd_s1_inf     : out    vl_logic;
        fadd_s1_nan     : out    vl_logic
    );
end fpu1;
