library verilog;
use verilog.vl_types.all;
entity nbit_ndepth_queue is
    generic(
        REG_WIDTH       : integer := 64;
        QUEUE_DEPTH     : integer := 3;
        QPTR_BITS       : integer := 2;
        QNUM_BITS       : integer := 2
    );
    port(
        ACLK            : in     vl_logic;
        RSTN            : in     vl_logic;
        i_data          : in     vl_logic_vector;
        i_val           : in     vl_logic;
        i_rdy           : out    vl_logic;
        i_rdy1          : out    vl_logic;
        q_data          : out    vl_logic_vector;
        q_val           : out    vl_logic;
        q_rdy           : in     vl_logic
    );
end nbit_ndepth_queue;
