library verilog;
use verilog.vl_types.all;
entity stage1 is
    port(
        ACLK            : in     vl_logic;
        RSTN            : in     vl_logic;
        UNIRSTN         : in     vl_logic;
        one_shot        : in     vl_logic;
        one_shot_fold   : in     vl_logic;
        unit1_forstat   : in     vl_logic_vector(1 downto 0);
        unit1_forstat_fold: in     vl_logic_vector(1 downto 0);
        forstat         : in     vl_logic_vector(1 downto 0);
        cmd             : in     vl_logic_vector(1 downto 0);
        conf0           : in     vl_logic_vector(255 downto 0);
        conf1           : in     vl_logic_vector(255 downto 0);
        conf2           : in     vl_logic_vector(255 downto 0);
        conf3           : in     vl_logic_vector(255 downto 0);
        regv_ear0       : in     vl_logic_vector(191 downto 0);
        regv_ear1       : in     vl_logic_vector(191 downto 0);
        regv_ear2       : in     vl_logic_vector(191 downto 0);
        regv_ear3       : in     vl_logic_vector(191 downto 0);
        exec            : in     vl_logic;
        exec_old        : in     vl_logic;
        fold            : in     vl_logic;
        exring_bin      : in     vl_logic_vector(1023 downto 0);
        exring_bino     : in     vl_logic_vector(1023 downto 0);
        exdrin          : in     vl_logic_vector(63 downto 0);
        ea0drin         : in     vl_logic_vector(15 downto 0);
        ea1drin         : in     vl_logic_vector(15 downto 0);
        lmea0sfma       : in     vl_logic;
        lmea0strq       : in     vl_logic;
        lmea0strqcol    : in     vl_logic_vector(1 downto 0);
        stage2_exec     : out    vl_logic;
        stage2_fold     : out    vl_logic;
        cx0             : out    vl_logic_vector(1 downto 0);
        cx1             : out    vl_logic_vector(1 downto 0);
        cx2             : out    vl_logic_vector(1 downto 0);
        cx3             : out    vl_logic_vector(1 downto 0);
        tx0             : out    vl_logic_vector(63 downto 0);
        tx1             : out    vl_logic_vector(63 downto 0);
        tx2             : out    vl_logic_vector(63 downto 0);
        tx3             : out    vl_logic_vector(63 downto 0);
        ex1             : out    vl_logic_vector(63 downto 0);
        ex2             : out    vl_logic_vector(63 downto 0);
        ex3             : out    vl_logic_vector(63 downto 0);
        ea0b            : out    vl_logic_vector(15 downto 0);
        ea0o            : out    vl_logic_vector(63 downto 0);
        ea1b            : out    vl_logic_vector(15 downto 0);
        ea1o            : out    vl_logic_vector(63 downto 0)
    );
end stage1;
