library verilog;
use verilog.vl_types.all;
entity stage3 is
    port(
        ACLK            : in     vl_logic;
        RSTN            : in     vl_logic;
        UNIRSTN         : in     vl_logic;
        conf0           : in     vl_logic_vector(255 downto 0);
        conf1           : in     vl_logic_vector(255 downto 0);
        conf2           : in     vl_logic_vector(255 downto 0);
        conf3           : in     vl_logic_vector(255 downto 0);
        exec            : in     vl_logic;
        fold            : in     vl_logic;
        cxdi            : in     vl_logic_vector(1 downto 0);
        tx0i            : in     vl_logic_vector(63 downto 0);
        tx1i            : in     vl_logic_vector(63 downto 0);
        tx2i            : in     vl_logic_vector(63 downto 0);
        tx3i            : in     vl_logic_vector(63 downto 0);
        opi             : in     vl_logic_vector(5 downto 0);
        ex2di           : in     vl_logic_vector(63 downto 0);
        ex4i            : in     vl_logic_vector(63 downto 0);
        ex5i            : in     vl_logic_vector(5 downto 0);
        stage4_exec     : out    vl_logic;
        stage4_fold     : out    vl_logic;
        cxd             : out    vl_logic_vector(1 downto 0);
        tx0             : out    vl_logic_vector(63 downto 0);
        tx1             : out    vl_logic_vector(63 downto 0);
        tx2             : out    vl_logic_vector(63 downto 0);
        tx3             : out    vl_logic_vector(63 downto 0);
        opo             : out    vl_logic_vector(2 downto 0);
        ex3d            : out    vl_logic_vector(63 downto 0);
        ex5o            : out    vl_logic_vector(5 downto 0);
        h_ex1_d_s       : in     vl_logic;
        h_ex1_d_exp     : in     vl_logic_vector(8 downto 0);
        h_ex1_d_csa_s   : in     vl_logic_vector(25 downto 0);
        h_ex1_d_csa_c   : in     vl_logic_vector(25 downto 0);
        h_ex1_d_zero    : in     vl_logic;
        h_ex1_d_inf     : in     vl_logic;
        h_ex1_d_nan     : in     vl_logic;
        h_fadd_s1_s     : in     vl_logic;
        h_fadd_s1_exp   : in     vl_logic_vector(8 downto 0);
        h_fadd_s1_frac  : in     vl_logic_vector(25 downto 0);
        h_fadd_s1_zero  : in     vl_logic;
        h_fadd_s1_inf   : in     vl_logic;
        h_fadd_s1_nan   : in     vl_logic;
        h_ex2_d_s       : out    vl_logic;
        h_ex2_d_exp     : out    vl_logic_vector(8 downto 0);
        h_ex2_d_frac    : out    vl_logic_vector(26 downto 0);
        h_ex2_d_inf     : out    vl_logic;
        h_ex2_d_nan     : out    vl_logic;
        l_ex1_d_s       : in     vl_logic;
        l_ex1_d_exp     : in     vl_logic_vector(8 downto 0);
        l_ex1_d_csa_s   : in     vl_logic_vector(25 downto 0);
        l_ex1_d_csa_c   : in     vl_logic_vector(25 downto 0);
        l_ex1_d_zero    : in     vl_logic;
        l_ex1_d_inf     : in     vl_logic;
        l_ex1_d_nan     : in     vl_logic;
        l_fadd_s1_s     : in     vl_logic;
        l_fadd_s1_exp   : in     vl_logic_vector(8 downto 0);
        l_fadd_s1_frac  : in     vl_logic_vector(25 downto 0);
        l_fadd_s1_zero  : in     vl_logic;
        l_fadd_s1_inf   : in     vl_logic;
        l_fadd_s1_nan   : in     vl_logic;
        l_ex2_d_s       : out    vl_logic;
        l_ex2_d_exp     : out    vl_logic_vector(8 downto 0);
        l_ex2_d_frac    : out    vl_logic_vector(26 downto 0);
        l_ex2_d_inf     : out    vl_logic;
        l_ex2_d_nan     : out    vl_logic;
        ea0di           : in     vl_logic_vector(15 downto 0);
        ea0dofsi        : in     vl_logic_vector(15 downto 0);
        ea1di           : in     vl_logic_vector(15 downto 0);
        ea1dofsi        : in     vl_logic_vector(15 downto 0);
        ea0d            : out    vl_logic_vector(15 downto 0);
        ea0woofs        : out    vl_logic_vector(15 downto 0);
        ea1d            : out    vl_logic_vector(15 downto 0);
        ea1woofs        : out    vl_logic_vector(15 downto 0)
    );
end stage3;
