library verilog;
use verilog.vl_types.all;
entity stage4 is
    port(
        ACLK            : in     vl_logic;
        RSTN            : in     vl_logic;
        UNIRSTN         : in     vl_logic;
        unit1_forstat_fold4: in     vl_logic_vector(1 downto 0);
        one_shot_fold4  : in     vl_logic;
        cmd             : in     vl_logic_vector(1 downto 0);
        conf0           : in     vl_logic_vector(255 downto 0);
        conf1           : in     vl_logic_vector(255 downto 0);
        conf2           : in     vl_logic_vector(255 downto 0);
        conf3           : in     vl_logic_vector(255 downto 0);
        exec            : in     vl_logic;
        fold            : in     vl_logic;
        cxdi            : in     vl_logic_vector(1 downto 0);
        tx0i            : in     vl_logic_vector(63 downto 0);
        tx1i            : in     vl_logic_vector(63 downto 0);
        tx2i            : in     vl_logic_vector(63 downto 0);
        tx3i            : in     vl_logic_vector(63 downto 0);
        opi             : in     vl_logic_vector(2 downto 0);
        ex3di           : in     vl_logic_vector(63 downto 0);
        ex5i            : in     vl_logic_vector(5 downto 0);
        tx0             : out    vl_logic_vector(63 downto 0);
        tx1             : out    vl_logic_vector(63 downto 0);
        tx2             : out    vl_logic_vector(63 downto 0);
        tx3             : out    vl_logic_vector(63 downto 0);
        tx_valid        : out    vl_logic;
        exd             : out    vl_logic_vector(63 downto 0);
        h_ex2_d_s       : in     vl_logic;
        h_ex2_d_exp     : in     vl_logic_vector(8 downto 0);
        h_ex2_d_frac    : in     vl_logic_vector(26 downto 0);
        h_ex2_d_inf     : in     vl_logic;
        h_ex2_d_nan     : in     vl_logic;
        l_ex2_d_s       : in     vl_logic;
        l_ex2_d_exp     : in     vl_logic_vector(8 downto 0);
        l_ex2_d_frac    : in     vl_logic_vector(26 downto 0);
        l_ex2_d_inf     : in     vl_logic;
        l_ex2_d_nan     : in     vl_logic;
        ea0di           : in     vl_logic_vector(15 downto 0);
        ea0woofsi       : in     vl_logic_vector(15 downto 0);
        ea1di           : in     vl_logic_vector(15 downto 0);
        ea1woofsi       : in     vl_logic_vector(15 downto 0);
        ea0d            : out    vl_logic_vector(15 downto 0);
        ea0woofs        : out    vl_logic_vector(15 downto 0);
        ea1d            : out    vl_logic_vector(15 downto 0);
        ea1woofs        : out    vl_logic_vector(15 downto 0);
        lmring_bin      : in     vl_logic_vector(341 downto 0);
        lmea0sfma       : out    vl_logic;
        lmea0strq       : out    vl_logic;
        lmea0strqcol    : out    vl_logic_vector(1 downto 0);
        lmlddmqw_ok     : in     vl_logic;
        lmrangew_ok     : in     vl_logic;
        lmranger_ok     : in     vl_logic;
        lmring_bin_nemp : in     vl_logic;
        lmring_bin_ful  : in     vl_logic;
        lmring_ea0bsy   : out    vl_logic;
        lmring_ea1bsy   : out    vl_logic;
        lmco            : in     vl_logic_vector(1 downto 0);
        lmca            : in     vl_logic_vector(15 downto 0);
        lmwm            : in     vl_logic_vector(31 downto 0);
        lmwd            : in     vl_logic_vector(255 downto 0);
        mr0             : out    vl_logic_vector(255 downto 0);
        mr1             : out    vl_logic_vector(255 downto 0)
    );
end stage4;
